> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usemandate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Agent



## OpenAPI

````yaml /openapi.json post /agents
openapi: 3.1.0
info:
  title: Mandate API
  version: 0.1.0
servers:
  - url: https://api.usemandate.io
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Agents
  - name: Mandates
  - name: Payments
  - name: Sellers
  - name: Verification
  - name: Transactions
  - name: Audit
  - name: Accounts
  - name: Policy
paths:
  /agents:
    post:
      tags:
        - Agents
      summary: Create Agent
      operationId: create_agent_route_agents_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAgentRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response Create Agent Route Agents Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateAgentRequest:
      properties:
        name:
          type: string
          title: Name
          example: Research Assistant
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          example: Fetches company data from financial APIs
        capabilities:
          items:
            type: string
          type: array
          title: Capabilities
          default: []
          example:
            - data-fetch
            - financial-research
      type: object
      required:
        - name
      title: CreateAgentRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Use your sandbox (ky_sand_) or production (ky_prod_) API key

````